GET /serviceengine/{uuid}/interface/
/serviceengine/{uuid}/interface/
UUID of the object to fetch
Avi Tenant Header
Avi Tenant Header UUID
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
OK
{
"gro_on": false,
"lro_on": false,
"pcap_tx_mode": "string",
"proc_id": "string",
"se_dpdk_mode": false,
"se_pcap_pkt_sz": 0,
"se_uuid": "string",
"tso_on": false,
"vnics": [
{
"active": false,
"hw_eth_stats": {
"eth_stats": {
"ibytes": 0,
"ierrors": 0,
"imissed": 0,
"ipackets": 0,
"obytes": 0,
"oerrors": 0,
"opackets": 0,
"q_errors": [
0
],
"q_ibytes": [
0
],
"q_ipackets": [
0
],
"q_obytes": [
0
],
"q_opackets": [
0
],
"rx_nombuf": 0
},
"eth_xstats": [
{
"name": "string",
"value": 0
}
]
},
"if_capabilities_enabled": 0,
"if_capabilities_supported": 0,
"if_flags": 0,
"interface_disabled": false,
"interface_stats": {
"flow_migrate_clear_autogw_failed": 0,
"gro_mbufs_coalesced": 0,
"ibytes": 0,
"ierrors": 0,
"ifq_stats": [
{
"gro_mbufs_coalesced": 0,
"ibytes": 0,
"ipackets": 0,
"obytes": 0,
"oerrors": 0,
"opackets": 0,
"queue_idx": 0,
"queue_owner": 0,
"rx_lro_packets": 0,
"rx_max_single_burst": 0,
"rx_pkt_iterations": 0,
"rx_queue_full": 0
}
],
"ip_checksum_drops": 0,
"ipackets": 0,
"kni_enqueue_errors": 0,
"kni_mbuf_alloc_failures": 0,
"kni_rx_drops": 0,
"kni_tx_drops": 0,
"kni_tx_errors": 0,
"l4_checksum_drops": 0,
"local_flow_migrate_ignored_in_tw": 0,
"local_flow_migrate_ignored_same_vnic": 0,
"local_flow_migrate_req_ignored": 0,
"local_flow_migrate_req_received": 0,
"local_flow_migrate_req_sent": 0,
"local_flow_probes_req_ignored": 0,
"local_flow_probes_req_received": 0,
"local_flow_probes_req_sent": 0,
"local_flow_probes_req_skipped": 0,
"nic_imissed": 0,
"nic_oerrors": 0,
"num_rx_descriptors": 0,
"num_tx_descriptors": 0,
"obytes": 0,
"oerrors": 0,
"opackets": 0,
"rx_forward_bytes": 0,
"rx_forward_pkts": 0,
"rx_kni": 0,
"rx_lro_packets": 0,
"rx_max_single_burst": 0,
"rx_mim_etype_p2s": 0,
"rx_mim_etype_s2p": 0,
"rx_nombuf": 0,
"rx_pkt_iterations": 0,
"rx_queue_full": 0,
"se_pcap_pkt_count": 0,
"tx_forward_bytes": 0,
"tx_forward_pkts": 0,
"tx_frags_p2s": 0,
"tx_kni": 0,
"tx_kni_errs": 0,
"tx_mim_etype_p2s": 0,
"tx_mim_etype_s2p": 0,
"tx_mim_frags_etype_p2s": 0,
"tx_mim_frags_etype_s2p": 0,
"tx_queue_full_retries": 0,
"vnic_disabled_rx_drops": 0,
"vnic_invalid_vlan_drops": 0
},
"intferface_up": false,
"ip6table_filter": "string",
"ip_info": [
{
"arp_enabled": false,
"ip_addr": "string",
"is_floating_intf_ip": false,
"is_nat_ip": false,
"is_snat_ip": false,
"is_vip_ip": false,
"net_mask": "string"
}
],
"iptable_filter": "string",
"kni_owner": 0,
"linux_intf_name": "string",
"mac_address": "string",
"mbr_intfs": [
{
"active": false,
"if_name": "string",
"linux_name": "string"
}
],
"num_vs_delete_drops": 0,
"pcap_filter": "string",
"vlan_id": 0,
"vnic_gro_on": false,
"vnic_id": 0,
"vnic_lro_on": false,
"vnic_mtu": 0,
"vnic_name": "string",
"vnic_owner": 0,
"vnic_parent": 0,
"vnic_tso_on": false,
"vnic_weight": 0,
"vrf_id": 0,
"vrf_ref": "string"
}
]
}
If True, Generic Receive Offload (GRO) is enabled on SE. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
If True, Large Receive Offload (LRO) is enabled on SE. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
SE pcap running Mode. Enum options - PCAP_TX_AUTO, PCAP_TX_SOCKET, PCAP_TX_RING. Field introduced in 18.2.10, 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
SE is running in DPDK Mode. Field introduced in 18.2.8, 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Max size of each packet in the pcap interface. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
If True, TCP Segmentation Offload (TSO) is enabled on SE. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
log in failed
object not found
curl -H 'Authorization: <value>' https://{api_host}/api/serviceengine/{uuid}/interface